You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cordova.apache.org by ma...@apache.org on 2012/11/23 04:28:59 UTC

[2/11] android commit: adding release command

adding release command


Project: http://git-wip-us.apache.org/repos/asf/cordova-android/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-android/commit/226e72ac
Tree: http://git-wip-us.apache.org/repos/asf/cordova-android/tree/226e72ac
Diff: http://git-wip-us.apache.org/repos/asf/cordova-android/diff/226e72ac

Branch: refs/heads/master
Commit: 226e72ac1843b43fbf45437e3d6260d2de4f4145
Parents: 65c78b8
Author: Anis Kadri <an...@gmail.com>
Authored: Wed Nov 21 16:35:16 2012 -0800
Committer: Simon MacDonald <si...@gmail.com>
Committed: Thu Nov 22 22:23:51 2012 -0500

----------------------------------------------------------------------
 bin/templates/cordova/cordova |    4 ++++
 bin/templates/cordova/release |   24 ++++++++++++++++++++++++
 2 files changed, 28 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-android/blob/226e72ac/bin/templates/cordova/cordova
----------------------------------------------------------------------
diff --git a/bin/templates/cordova/cordova b/bin/templates/cordova/cordova
index 759f590..1945a4c 100755
--- a/bin/templates/cordova/cordova
+++ b/bin/templates/cordova/cordova
@@ -121,6 +121,10 @@ function build {
     ant debug
 }
 
+function release {
+    ant release
+}
+
 function wait_for_device {
     local i="0"
     echo -n "Waiting for device..."

http://git-wip-us.apache.org/repos/asf/cordova-android/blob/226e72ac/bin/templates/cordova/release
----------------------------------------------------------------------
diff --git a/bin/templates/cordova/release b/bin/templates/cordova/release
new file mode 100755
index 0000000..73d873e
--- /dev/null
+++ b/bin/templates/cordova/release
@@ -0,0 +1,24 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+# http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+#!/bin/bash
+
+set -e
+
+CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd )
+
+bash "$CORDOVA_PATH"/cordova release